Jump to content

[8.60] TFS 0.4 Rev3996 War & Cast


Yan Liima

Recommended Posts

  • 2 weeks later...

i`m used Sourc TheForgottenServer 2010

When i see TheForgottenServer 2020 i used in my map but full bug character Lose backpack- And more

do you can help me

data.rar

I need Sourc for my Map Noobwar

any one can help me for Sourc noobwar

Link to comment
Share on other sites

  • Diretor

@doda4ever @wallaceprado1 @vinagon3 @rafaelleme

Após muitos pedidos eu atualizei a source! Desculpe a demora e pelos problemas. Por favor, baixem a  source novamente.

 

Caso dê algum problema de lua no linux, executem isto:

apt-get install lua50 liblua50 liblua50-dev
wget http://www.lua.org/ftp/lua-5.1.4.tar.gz
tar -xzvf lua-5.1.4.tar.gz
cd lua*
make linux && make install

 

Link to comment
Share on other sites

2 horas atrás, Yan Liima disse:

@doda4ever @wallaceprado1 @vinagon3 @rafaelleme

Após muitos pedidos eu atualizei a source! Desculpe a demora e pelos problemas. Por favor, baixem a  source novamente.

 

Caso dê algum problema de lua no linux, executem isto:


apt-get install lua50 liblua50 liblua50-dev
wget http://www.lua.org/ftp/lua-5.1.4.tar.gz
tar -xzvf lua-5.1.4.tar.gz
cd lua*
make linux && make install

 

Nao conseguiria citar as mudanças? É postar? Já fiz alterações nas sources 

Link to comment
Share on other sites

  • Diretor
41 minutos atrás, boxxer321 disse:

Nao conseguiria citar as mudanças? É postar? Já fiz alterações nas sources 

Foram feitas correções referente aos erros no linux que a galera tava tendo.

E teve umas pequenas correções de funções que eu fiz que acabei me confundindo com LUA kkkk. Em Win não tem problema, mas no linux já tem. Então no seu caso, se quiser não precisar baixar.

Link to comment
Share on other sites

1 minuto atrás, Yan Liima disse:

Foram feitas correções referente aos erros no linux que a galera tava tendo.

E teve umas pequenas correções de funções que eu fiz que acabei me confundindo com LUA kkkk. Em Win não tem problema, mas no linux já tem. Então no seu caso, se quiser não precisar baixar.

Eu usaria em Linux msm kkkk

Link to comment
Share on other sites

  • Diretor
5 horas atrás, cs007 disse:

Alguém tem um tutorial explicando como compilar no ubuntu 16.04, da error de todas as formas possível. Obrigado

 

Talvez isso te ajude: https://github.com/r-lib/xml2/issues/294

ou esse: https://github.com/r-lib/xml2/commit/e051ffa6577f5fdd6e3a565981791d54fab74140

 

Eu ouvir dizer em uma solução alternativa que seria essa:

withr::with_makevars(c(CXX = "g++ -std=c++11"), 
   install.packages("xml2", verbose = TRUE))

Da uma procurada a respeito e se conseguir resolver, da um retorno aqui no tópico fazendo favor. Caso não consiga, é possivel compilar no 14.04 e utilizar na 16.04. Não tenho essa versão em mãos, então não consigo analisar e criar alguma solução =/

Link to comment
Share on other sites

3 horas atrás, Yan Liima disse:

 

Talvez isso te ajude: https://github.com/r-lib/xml2/issues/294

ou esse: https://github.com/r-lib/xml2/commit/e051ffa6577f5fdd6e3a565981791d54fab74140

 

Eu ouvir dizer em uma solução alternativa que seria essa:


withr::with_makevars(c(CXX = "g++ -std=c++11"), 
   install.packages("xml2", verbose = TRUE))

Da uma procurada a respeito e se conseguir resolver, da um retorno aqui no tópico fazendo favor. Caso não consiga, é possivel compilar no 14.04 e utilizar na 16.04. Não tenho essa versão em mãos, então não consigo analisar e criar alguma solução =/

A nova source não estava compilando em Linux?

Link to comment
Share on other sites

5 horas atrás, Yan Liima disse:

 

Talvez isso te ajude: https://github.com/r-lib/xml2/issues/294

ou esse: https://github.com/r-lib/xml2/commit/e051ffa6577f5fdd6e3a565981791d54fab74140

 

Eu ouvir dizer em uma solução alternativa que seria essa:


withr::with_makevars(c(CXX = "g++ -std=c++11"), 
   install.packages("xml2", verbose = TRUE))

Da uma procurada a respeito e se conseguir resolver, da um retorno aqui no tópico fazendo favor. Caso não consiga, é possivel compilar no 14.04 e utilizar na 16.04. Não tenho essa versão em mãos, então não consigo analisar e criar alguma solução =/

Infelizmente não consegui fazer rodar de forma correta o devtools no ubuntu 16.04, então não consegui instalar o xml2 =/

Edited by cs007
Link to comment
Share on other sites

A source em unit16 está causando debug no cliente. 

 

Citar

(Error - void ServicePort::open(IPAddressList, uint16_t)) NETWORK: bind: Address already in use

Mas a unit8 está rodando tranquilo. 

Link to comment
Share on other sites

  • Diretor
21 minutos atrás, cs007 disse:

A source em unit16 está causando debug no cliente. 

 

Mas a unit8 está rodando tranquilo. 

Amigo, como citado no tópico pra rodar a uint16 é necessário utilizar o client modificado e o 000-constant.lua da pasta lib. 

Link to comment
Share on other sites

22 minutos atrás, Yan Liima disse:

Amigo, como citado no tópico pra rodar a uint16 é necessário utilizar o client modificado e o 000-constant.lua da pasta lib. 

A sim, perdão. Só me deparei com o error e vim reportar. Obrigado!

Link to comment
Share on other sites

×
×
  • Create New...